Module java.base
Package java.nio.charset

# Class CoderMalfunctionError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.nio.charset.CoderMalfunctionError

All Implemented Interfaces:
  `Serializable`

public class CoderMalfunctionError extends Error
Error thrown when the `decodeLoop` method of a `CharsetDecoder`, or the `encodeLoop` method of a `CharsetEncoder`, throws an unexpected exception.

Since:
  1.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CoderMalfunctionError(Exception cause)`
Initializes an instance of this class.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CoderMalfunctionError

public CoderMalfunctionError(Exception cause)
Initializes an instance of this class.

Parameters:
  `cause` - The unexpected exception that was thrown